blender 2.53 python version

According to the documentation blender 2.53 uses python 3.1. I use blender 2.53 (just with the executable from the download after having copied the .blender folder to my home directory) on ubuntu 10.04 with the default python 2.6.5. I encounter problem such as the clip distance not working (see separate thread on this) and not being able to create a hole using 2 closed bezier curves in the same plane. Can this be explained by not using python 3.1 ?

Have you - users of 2.53 - installed python 3.1 in order to use blender 2.53 ?

Thanks